> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account

> Retrieves account details



## OpenAPI

````yaml get /v1/Account
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v1
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v1/Account:
    get:
      tags:
        - Account
      summary: Get Account
      description: Retrieves account details
      responses:
        '200':
          description: Client information
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ClientApiView'
            application/json:
              schema:
                $ref: '#/components/schemas/ClientApiView'
            text/json:
              schema:
                $ref: '#/components/schemas/ClientApiView'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    ClientApiView:
      type: object
      properties:
        name:
          type: string
          description: The name of the client.
          nullable: true
        totalAgents:
          type: integer
          description: The total number of agents.
          format: int32
        creditBalance:
          type: number
          description: The current credit balance.
          format: double
        status:
          allOf:
            - $ref: '#/components/schemas/eCallAuthorizationStatus'
          description: |+
            Represents the authorization status for making calls.

            `1 - FullAccess`

            `2 - LimitedAccess`

            `3 - NoCredits`

            `4 - SuspendedAccount`

            `5 - DebtReached`

      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    eCallAuthorizationStatus:
      type: integer
      description: |+
        Represents the authorization status for making calls.

        `1 - FullAccess`

        `2 - LimitedAccess`

        `3 - NoCredits`

        `4 - SuspendedAccount`

        `5 - DebtReached`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````